IIS Configuration

Specific IIS components must be enabled. If your operating system supports Deployment Image Servicing and Management (DISM), the Post Installer enables the required components automatically when you run the Post Installer after installing Essentials. If your operating system does not support DISM, you must manually enable the required Windows features following the instructions below.

To find out if the operating system you are using supports DISM, refer to DISM Supported Platforms.

The list and screen capture below show the IIS components that Essentials requires. In the Server Roles area of IIS Server Manager, select the checkbox beside each component that is listed below.

Essentials requires the following IIS components:

  • Management Tools

    • IIS Management Console
    • IIS Management Scripts and Tools
    • Management Service
  • Web Server

    • Application Development

      • .NET Extensibility 4.5 *
      • ASP.NET 4.5 *
      • ISAPI Extensions
      • ISAPI Filters
    • Common HTTP Features

      • Default Document **
      • Static Content
    • Security

      • Basic Authentication
      • Request Filtering
      • Windows Authentication

* The .NET Extensibility 4.5 and ASP.NET 4.5 options are not present in versions of Windows older than Windows Server 2012 and Windows 8—select .NET Extensibility and ASP.NET instead.

** Older versions of Windows may not require the Default Document component.

Having additional IIS components enabled does not affect Essentials.

 

IIS components required for Geocortex Essentials, shown in Windows 8

© 2019 Latitude Geographics Group Ltd. All Rights Reserved.

Documentation Version 4.11